Package org.apache.commons.imaging.formats.webp

# Enum WebPChunkType

java.lang.Object
java.lang.Enum<WebPChunkType>
org.apache.commons.imaging.formats.webp.WebPChunkType

All Implemented Interfaces:
  `Serializable`, `Comparable<WebPChunkType>`

public enum WebPChunkType extends Enum<WebPChunkType>
WebP chunk type.

Since:
  1.0.0-alpha4

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALPH`
  `ANIM`
  `ANMF`
  `EXIF`
  `ICCP`
  `VP8`
  `VP8L`
  `VP8X`
  `XMP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WebPChunkType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WebPChunkType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALPH

    public static final WebPChunkType ALPH
    See Also:
      - `WebPChunkAlph`

  - ### VP8

    public static final WebPChunkType VP8
    See Also:
      - `WebPChunkVp8`

  - ### VP8L

    public static final WebPChunkType VP8L
    See Also:
      - `WebPChunkVp8l`

  - ### VP8X

    public static final WebPChunkType VP8X
    See Also:
      - `WebPChunkVp8x`

  - ### ANIM

    public static final WebPChunkType ANIM
    See Also:
      - `WebPChunkAnim`

  - ### ANMF

    public static final WebPChunkType ANMF
    See Also:
      - `WebPChunkAnmf`

  - ### ICCP

    public static final WebPChunkType ICCP
    See Also:
      - `WebPChunkIccp`

  - ### EXIF

    public static final WebPChunkType EXIF
    See Also:
      - `WebPChunkExif`

  - ### XMP

    public static final WebPChunkType XMP
    See Also:
      - `WebPChunkXml`

- ## Method Details

  - ### values

    public static WebPChunkType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WebPChunkType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null